import numpy as np
import pickle
import time
import copy
import sys

# ROS Libraries
import rospy
from std_msgs.msg import Bool
from trajectory_msgs.msg import (
    JointTrajectoryPoint,
    JointTrajectory
)

## Our libraries
from utils import load_plan, JTraj2ROS, speed_multiplier, calibration_correction, calib_corr_single
from Controller import Controller
#import gcode2contour as gc


def execute_plan(plan, r1_con, r2_con):
    """
    move to starting positions of a plan
    """
    # plan to the start position of the plan
    r1_con.group.go(calib_corr_single(plan.trajs[0][0].positions[0],"/r1/robot_description"))
    r2_con.group.go(calib_corr_single(plan.trajs[1][0].positions[0],"/r2/robot_description"))
    return


if __name__ == '__main__':
    plan2arms = load_plan('r1_test')

    r1_con = Controller(robot=1, disable_extruder=True)
    r2_con = Controller(robot=2, disable_extruder=True)
    execute_plan(plan2arms, r1_con, r2_con)
